<?php
    
    class PagoVisitaReg{
        //2Chk
        public function registrarPago($bd,$id_cliente,$id_servicio,$plan,$importe,$fechaN,$email,$tel,$domi,$col,$cp,$genero,$fechaR,$sucursal,$qr,$forma){
            
            $conn = new mysqli("directoriofitness.com.mx","direct18","L4LL4v3M@3str@",'direct18_'.$bd);
            
            $id_insert;
            $query_socio = "INSERT INTO socio_servicio(idServicio,idSocio,idSocioTitular,FechaSolicitud,FechaInscripcion) 
                VALUES('$id_servicio','$id_cliente','$id_cliente',CURDATE(),CURDATE())";
                
            if($conn->query($query_socio) === TRUE){
                $q_select = "SELECT MAX(idSocio_Servicio) AS idInsert FROM socio_servicio WHERE idSocioTitular = '$id_cliente'";
                $result = $conn->query($q_select);
    
                $row = $result->fetch_assoc();
    
                $id_insert = $row['idInsert'];
                    
                $fecha_vencimiento = "DATE_ADD( '$fechaR', INTERVAL 1 DAY)";
                    
                $query_pagos ="INSERT INTO pagos (idSocio_Servicio,Concepto,FechaPago,Importe,idUsuario,Pago,Descuento,Subtotal,
                    FechaInicio,Forma1,Importe1,Forma2,Importe2,idSucursal,Visible,FechaFin,Cancelado) 
                    VALUES ($id_insert,'00',NOW(),$importe,2,2,0.00,$importe,CURDATE(),'$forma',0.00,'$forma',0.00,$sucursal,0,$fecha_vencimiento,0)";
                    
                if($conn->query($query_pagos) === TRUE){
                        
                    $query = "INSERT INTO prospectos (nombre_prospecto,apll_prospecto,fecha_nacimiento,genero,correo_prospecto,telefono_prospecto,
                        domicilio_prospecto,colonia_prospecto,cp_prospecto,notas_prospecto,fecha_registro,estatus_prospecto,qr) 
                        VALUES ('$nombre','$apellido','$fechaN',$genero,'$email','$tel',
                        '$domi','$col','$cp','visita',NOW(),6,'$qr')";
                        
                    $conn->query($query);
                    if($conn->query($query) === TRUE){
                        $msg = 'Pago Exitoso';
                    }else{
                        $msg ='error';
                    }
                }else{
                    $msg = 'error';
                }
                
            }else{
                    $msg = 'error';
            }
            
            $conn->close();
            
        }
        
         public function registrarPagoPlan($bd,$flag,$id_cliente,$id_servicio,$costo,$plan,$fecha_visita,$paquete_clase,$opcion,$forma){
            
            $band = 0; 
            $conn = new mysqli("directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$bd);
            $hoy = date('d/m/Y h:i:s A');
            $id_insert;
            $mes;
            $nombreGim;
            $desc_plan;
            $fechaI;
            $fechaA;
            $query = "INSERT INTO socio_servicio(idServicio,idSocio,idSocioTitular,FechaSolicitud,FechaInscripcion)
            VALUES('$id_servicio','$id_cliente','$id_cliente',CURDATE(),CURDATE())";
            //$resultado = $conn->query($query);
            //$resultado = $conn->insert_query($query,"directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$bd);
            
            if($conn->query($query) == TRUE){
                $band = 1;
                $id_insert = $conn->insert_id;
                $query_suc = "SELECT sucursal_idSucursal AS sucursal FROM socios WHERE idSocio = '$id_cliente'";
                $recult_suc = $conn->query($query_suc);
                $row_suc = $recult_suc->fetch_assoc();
                $id_sucursal = $row_suc['sucursal'];
                
                switch($plan){
                    case 1:
                        $desc_plan = 'VISITA';
                        $mes = 0;
                        break;
                    case 2:
                        $desc_plan = 'SEMANAL';
                        $mes = 7;
                        break;
                    case 3:
                        $desc_plan = 'QUINCENAL';
                        $mes = 15;
                        break;
                    case 4:
                        $desc_plan = 'MENSUAL';
                        $mes = 1;
                        break;
                    case 5:
                        $desc_plan = 'BIMESTRAL';
                        $mes = 2;
                        break;
                    case 6:
                        $desc_plan = 'TRIMESTRAL';
                        $mes = 3;
                        break;
                    case 7:
                        $desc_plan = 'CUATRIMESTRAL';
                        $mes = 4;
                        break;
                    case 8:
                        $desc_plan = 'SEMESTRAL';
                        $mes = 6;
                        break;
                    case 9:
                        $desc_plan = 'ANUAL';
                        $mes = 12;
                        break;
                    
                }
                
                //echo $mes;
                $query_fecha ="SELECT  * FROM(SELECT 
                    socio_servicio.idServicio as 'id',
                    pagos.FechaInicio,
                    servicios.NombreServicio,
                    socio_servicio.idSocio_Servicio AS 'idss',
                    socio_servicio.idSocioTitular as 'st',
                    pagos.FechaFin
                FROM 
                    socio_servicio
                    	INNER JOIN pagos
                	        ON socio_servicio.idSocio_Servicio = pagos.idSocio_Servicio
                        INNER JOIN servicios
                	        ON socio_servicio.idServicio = servicios.idServicio
                        INNER JOIN socios
                	        ON socio_servicio.idSocio = socios.idSocio
                WHERE
                    socio_servicio.idSocio = '$id_cliente'
                    AND pagos.Cancelado = 0  
                    AND pagos.Visible = 1
    			GROUP BY
    				socio_servicio.idSocio_Servicio DESC
                ) AS tmp
                GROUP BY
                	tmp.id
                ORDER BY
                    tmp.idss DESC";
                
                $result_fecha = $conn->query($query_fecha);
                $row_fecha = $result_fecha->fetch_assoc();
                $fecha_hoy = date('Y-m-d');
                
                //$fechaI = $row_fecha['FechaFin'];
                $fecha_actual_hoy = date("d-m-Y", strtotime($fechaI));
                
                $concepto;
                $visible;
                //echo 'Op '.$obj->opcion."\n";
                if($opcion != "00"){
                    $fechaI = $row_fecha['FechaFin'];
                    $concepto = "99";
                    $visible = "1";
                }else{
                    $fechaI = $obj->fecha_visita;
                    $concepto = "00";
                    $visible = "0";
                }
                $desc_plan = $desc_plan.' '.$row_fecha['NombreServicio'];
                    if($mes == 0 || $mes == 7 || $mes == 15){
                        $fecha_vencimiento = "DATE_ADD( '$fechaI', INTERVAL ".$mes." DAY)";
                        $fechaA = date("d/m/Y",strtotime($fechaI."+ ".$mes." days"));
                    }else{
                        $fecha_vencimiento = "DATE_ADD( '$fechaI', INTERVAL ".$mes." MONTH)";
                        $fechaA = date("d/m/Y",strtotime($fechaI."+ ".$mes." month"));
                    }
                
                $query_pagos ="INSERT INTO pagos (idSocio_Servicio,Concepto,FechaPago,Importe,idUsuario,Pago,Descuento,Subtotal,
                FechaInicio,Forma1,Importe1,Forma2,Importe2,idSucursal,Visible,FechaFin,Cancelado) 
                values ($id_insert,$concepto,NOW(),$costo,2,2,0.00,$costo,CURDATE(),'$forma',0.00,'$forma',0.00,$id_sucursal,$visible,$fecha_vencimiento,0)";
                
    
                if ($conn->query($query_pagos) === TRUE) {
                    $conn->close();
                    return 1;
                    $msgQuery = "&iexcl;Transacci&oacute;n Exitosa!";
                  
                } else {
                    $conn->close();
                    return $query_pagos;
                  $msgQuery = "Error al registrar su pago, cheque en Administraci&oacute;n";
                } 
                //$conn->close();
            }else{
                //$conn->close();
                $conn->close();
                return $query;
                $msgQuery = 'Error al registrar su pago, cheque en Administraci&oacute;n';
            }
            
            $conn->close();
             
        }
        
        public function registrarPagoLocker($bd,$id_cliente,$id_servicio,$plan,$tipo,$costo,$opcion,$concepto,$idLocker,$lock_asig,$suc){
            $conn = new mysqli("directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$bd);
             $fechaA;
            $addFecha;
            $queryLocker ="SELECT ls.*, l.*, locks.*
                    FROM socios s JOIN lockers_socios ls ON s.idSocio = ls.Socios_idSocio JOIN locker l ON ls.id_lockers_socios = l.id_locker JOIN lockers locks ON locks.idLocker = l.Lockers_idLockers
                    WHERE ls.id_lockers_socios = (SELECT MAX(id_lockers_socios) FROM lockers_socios WHERE Socios_idSocio = '$id_cliente')";
                    
                    //$resultadoL = $conn->insert_query($queryLocker,"directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);
                    //$row_fecha = mysqli_fetch_array($resultadoL);
            $resultadoL =$conn->query($queryLocker);
            $row_fecha = $resultadoL->fetch_assoc();
            $fechaVen = $row_fecha['FechaVencimiento'];
            $fecha_act = $row_fecha['FechaAsignacion'];
            switch($concepto){
                case '1':
                    $desc_plan = 'Pago Locker 1 d&iacute;a';
                    $addFecha = "DATE_ADD( '$fechaVen', INTERVAL 1 DAY)";
                    $fechaA = date("d/m/Y",strtotime($fechaVen."+ 1 days"));
                    break;
                case '2':
                    $desc_plan = 'Pago Locker semanal';
                    $addFecha = "DATE_ADD( '$fechaVen', INTERVAL 7 DAY)";
                    $fechaA = date("d/m/Y",strtotime($fechaVen."+ 7 days"));
                    break;
                case '3':
                    $desc_plan = 'Pago Locker quincenal';
                    $addFecha = "DATE_ADD( '$fechaVen', INTERVAL 15 DAY)";
                    $fechaA = date("d/m/Y",strtotime($fechaVen."+ 15 days"));
                    break;
                case '4':
                    $desc_plan = 'Pago Locker mensual';
                    $addFecha = "DATE_ADD( '$fechaVen', INTERVAL 1 MONTH)";
                    $fechaA = date("d/m/Y",strtotime($fechaVen."+ 1 month"));
                    break;
                case '5':
                    $desc_plan = 'Pago Locker semestral';
                    $addFecha = "DATE_ADD( '$fechaVen', INTERVAL 6 MONTH)";
                    $fechaA = date("d/m/Y",strtotime($fechaVen."+ 6 month"));
                    break;
                case '6':
                    $desc_plan = 'Pago Locker anual';
                    $addFecha = "DATE_ADD( '$fechaVen', INTERVAL 12 MONTH)";
                    $fechaA = date("d/m/Y",strtotime($fechaVen."+ 12 month"));
                    break;
            }
                    
            $query = "INSERT lockers_socios(Lockers_idLocker,Socios_idSocio,locker_asignado,FechaAsignacion,FechaVencimiento,estado,concepto_pago,tipo_pago,
                    cantidad_tarjeta,importe,user_idUsuario,sucursal_idSucursal,cancelado)
                    VALUES('$idLocker','$id_cliente','$lock_asig','$fechaVen',$addFecha,1,'$concepto',2,'$costo','$costo',21,'$suc',0)";
                    
                    //$resultado = $conn->insert_query($query,"directoriofitness.com.mx","direct18","L4LL4v3M@3str@",$obj->bd);
            if($conn->query($query) == TRUE){
                $conn->close();
                return 1;
            }else{
                $conn->close();
                return 0;
            }
            
            $conn->close();
        }
        
    }

?>